import 'package:flutter/material.dart';

class DescriptionView extends StatelessWidget {
  final String description;
  final VoidCallback onClose;

  const DescriptionView({
    super.key,
    required this.description,
    required this.onClose,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(horizontal: 50),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
              Text(
                'Help Description',
                style: Theme.of(context)
                    .textTheme
                    .bodyMedium!
                    .copyWith(color: Colors.grey),
              ),
              GestureDetector(
                onTap: onClose,
                child: Text(
                  'Close',
                  style: Theme.of(context)
                      .textTheme
                      .bodyMedium!
                      .copyWith(color: Colors.grey),
                ),
              ),
            ],
          ),
          const SizedBox(height: 10),
          Text(description),
        ],
      ),
    );
  }
}
